Name: bmake
Version: 20081111
Release: alt3

Summary: The NetBSD make(1) tool

License: BSD with advertising
Group: Development/Tools
Url: ftp://ftp.NetBSD.org/pub/NetBSD/misc/sjg/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.NetBSD.org/pub/NetBSD/misc/sjg/%name-%version.tar.bz2


%description
bmake, the NetBSD make(1) tool, is a program designed to simplify the
maintenance of other programs.  The input of bmake is a list of specifications
indicating the files upon which the targets (programs and other files) depend.
bmake then detects which targets are out of date based on their dependencies
and triggers the necessary commands to bring them up to date when that happens.

bmake is similar to GNU make, even though the syntax for the advanced features
supported in Makefiles is very different.

%prep
%setup -q -n %name

%build
%configure --with-default-sys-path=%_datadir/mk --without-mksrc
%make_build -f makefile.boot bmake.boot
cp bmake.boot bmake
sed -e '/^.Nm/s/make/bmake/' -e '/^.Sh HISTORY/,$d' make.1 > bmake.1
(echo ".Sh HISTORY"; echo ".Nm"; echo "is derived from NetBSD's"
 echo ".Xr make 1 ."
 echo 'It uses autoconf to facilitate portability to other platforms.'; ) >> bmake.1

%install
%make_install -f makefile.boot install-bin prefix=%buildroot%prefix
mkdir -p %buildroot%_man1dir
install -m 644 bmake.1 %buildroot%_man1dir/bmake.1
mkdir -p %buildroot%_datadir/mk/

%files
%doc ChangeLog README
%_bindir/bmake
%_man1dir/*
%dir %_datadir/mk/

%changelog
* Wed Jul 29 2009 Vitaly Lipatov <lav@altlinux.ru> 20081111-alt3
- create dir for bmake macros

* Thu Jul 23 2009 Aleksey Cheusov <vle@gmx.net> 20081111-alt2
- Now bmake doesn't depend on mk-files

* Sun Jul 12 2009 Vitaly Lipatov <lav@altlinux.ru> 20081111-alt1
- initial build for ALT Linux Sisyphus

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080515-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 2 2008 Julio M. Merino Vidal <jmmv@NetBSD.org> - 20080515-1
- Initial release for Fedora.
